build:
  stage: build
  image: docker:latest
  services:
  - docker:dind
  variables:
    DOCKER_HOST: tcp://docker:2375/
    DOCKER_DRIVER: overlay2
  stage: build
  script:
  - docker build -t "$CI_REGISTRY_IMAGE:$CI_COMMIT_REF_NAME" .
  - docker login -u $CI_REGISTRY_USER -p $CI_JOB_TOKEN $CI_REGISTRY
  - docker push "$CI_REGISTRY_IMAGE:$CI_COMMIT_REF_NAME"
